<?php

namespace Service;

use \Zeedhi\Framework\DTO\Response;

class Kernel extends \Zeedhi\Framework\HTTP\Kernel {
    
    public function getResponseContent(Response $response) {
        $content = array(
            'error'   => false,
            'message' => '',
            'data'    => array()
        );
        if ($messages = $response->getMessages()) {
            /** @var \Zeedhi\Framework\DTO\Response\Message $message */
            $message = $messages[0];
            
            // verifica se a mensagem recebida foi uma mensagem de erro
            if ($message->getType() == 'E') {
                $content['error'] = true;
            }
            $content['message'] = $message->getMessage();
        }

        if ($dataSets = $response->getDataSets()) {
            /** @var \Zeedhi\Framework\DataSource\DataSet $dataSet */
            $data = $dataSets[0];
            $content['data'] = $data->getRows();
        }
        
        if($response->getError()){
            $content['error'] = true;
            $content['message'] .= $response->getError()->getMessage();
        }

        return $content;
    }
    
}